Subject: Ticket Assigned - Refund Not Credited - Order No #6236942181
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 20 Dec 2020 07:32:26 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Refund Not Credited - Order No #6236942181 Firstly this the worst experience that I had.
I recd order on 29th Oct and immediately click on return after seeing the quality of products.
I literally called your call center regarding refund and after 40 days my parcel has been picked up. And now it's been more than 20 days my parcel has been picked up but my refund is still not credited...
When the hell you will proceed my refund????
Order No is in subject linePlease call on +966539274713...
Regards,Mukesh Barsing0539274713

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1895708